\name{read.geodata}

\alias{read.geodata}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Reads data and converts to geodata format}

\description{
  Reads data from a \emph{ASCII} file and converts to an object of the class \code{geodata}.
}

\usage{
read.geodata(file, header=FALSE, coords.col=1:2, data.col=3,
             data.names = NULL, covar.col=NULL,
             covar.names="header", ...)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{file}{a string with the \emph{ASCII} file name.  }
  \item{header}{a logical value indicating whether the file contains the names of the variables as its first line. If missing, the value is
                  determined from the file format: header is set to TRUE if and only if the first row contains one fewer field than the
                  second.  }
  \item{coords.col}{a vector with the column numbers of the
    coordinates.  }
  \item{data.col}{a scalar or vector with the column number of the
    data.  }
  \item{data.names}{a string or vector of strings with the name(s) of
    the covariates. By default uses the names in the original object.
    Only used if there is more than one column of data.  }
  \item{covar.col}{optional. A scalar or vector with the column number
    of the covariates  }
  \item{covar.names}{a string or vector of strings with the name(s) of
    the covariates. By default uses the names in the original object.  }
  \item{\dots}{further arguments to \code{\link{read.table}}.  }
}

\details{
  The function \code{\link{read.table}} is used to read the data from the
\emph{ASCII} file and then \code{\link{as.geodata}} is used to convert
to an object of the class \code{geodata}.
}

\value{
  An object of the class \code{geodata} as described in \code{\link{as.geodata}}.
}

\references{
  Further information about \code{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\author{
  Paulo Justiniano Ribeiro Jr. \email{paulojus@est.ufpr.br} \cr
  Peter J. Diggle \email{p.diggle@lancaster.ac.uk}.
}

%\note{ ~~further notes~~ }
%
% ~Make other sections like WARNING with \section{WARNING }{....} ~

\seealso{\code{\link{as.geodata}}, \code{\link{read.table}}, \code{\link{list}}}

%\examples{}
\keyword{spatial, manip}%-- one or more ...

